Debian Bug report logs - #570767
d-i-bootimages missing, needed for pxe out of the box setup

version graph

Package: debian-edu; Maintainer for debian-edu is Debian Edu Developers <debian-edu@lists.debian.org>;

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Sun, 21 Feb 2010 12:03:01 UTC

Severity: important

Tags: moreinfo

Fixed in version debian-installer-netboot-images/20100912

Done: Otavio Salvador <otavio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#570767; Package debian-edu. (Sun, 21 Feb 2010 12:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Sun, 21 Feb 2010 12:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: d-i-bootimages missing, needed for pxe out of the box setup
Date: Sun, 21 Feb 2010 13:01:41 +0100
[Message part 1 (text/plain, inline)]
package: debian-edu
severity: important
tags: moreinfo 
User: debian-edu@lists.debian.org
Usertags: debian-edu

Hi,

the Debian Edu Lenny release currently sets up PXE booting out of the box, by 
making use of a d-i-bootimages package, which is not available in Debian. 
This is annoying as PXE booting is a quite a nice feature and having the d-i 
bootimages on the DVD is needed as we want to fully support DVD installations 
without network.

This bug lacks important information and context, but should serve as a means 
to track and fix this for squeeze.


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#570767; Package debian-edu. (Mon, 02 Aug 2010 21:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Andreas B. Mundt" <andi.mundt@web.de>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Mon, 02 Aug 2010 21:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 570767@bugs.debian.org (full text, mbox):

From: "Andreas B. Mundt" <andi.mundt@web.de>
To: 570767@bugs.debian.org
Cc: debian-boot@lists.debian.org
Subject: images should be available in squeeze
Date: Mon, 2 Aug 2010 23:15:20 +0200
Hi,

[...]
> the Debian Edu Lenny release currently sets up PXE booting out of the box, by 
> making use of a d-i-bootimages package, which is not available in Debian. 
> This is annoying as PXE booting is a quite a nice feature and having the d-i 
> bootimages on the DVD is needed as we want to fully support DVD installations 
> without network.
[...]

according to Otavio from the installer project, the solution to this
issue is already on its way. If nothing goes wrong, the images will
be available in squeeze. (cc debian-installer to make them shout out
loud if I got something wrong ...) 

Thanks,

	Andi  




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#570767; Package debian-edu. (Wed, 11 Aug 2010 23:18:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Wed, 11 Aug 2010 23:18:11 GMT) Full text and rfc822 format available.

Message #15 received at 570767@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: otavio@debian.org
Cc: "Andreas B. Mundt" <andi.mundt@web.de>, 570767@bugs.debian.org
Subject: Re: images should be available in squeeze
Date: Thu, 12 Aug 2010 01:14:02 +0200
[Message part 1 (text/plain, inline)]
Hi Otavio,

On Montag, 2. August 2010, Andreas B. Mundt wrote:
> according to Otavio from the installer project, the solution to this
> issue is already on its way. If nothing goes wrong, the images will
> be available in squeeze. (cc debian-installer to make them shout out
> loud if I got something wrong ...)

what package is this, which version will fix it? 


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#570767; Package debian-edu. (Thu, 12 Aug 2010 05:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@ossystems.com.br>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Thu, 12 Aug 2010 05:03:06 GMT) Full text and rfc822 format available.

Message #20 received at 570767@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: Holger Levsen <holger@layer-acht.org>, 570767@bugs.debian.org
Cc: "Andreas B. Mundt" <andi.mundt@web.de>
Subject: Re: Bug#570767: images should be available in squeeze
Date: Thu, 12 Aug 2010 02:01:16 -0300
Hello,

On Wed, Aug 11, 2010 at 8:14 PM, Holger Levsen <holger@layer-acht.org> wrote:
> On Montag, 2. August 2010, Andreas B. Mundt wrote:
>> according to Otavio from the installer project, the solution to this
>> issue is already on its way. If nothing goes wrong, the images will
>> be available in squeeze. (cc debian-installer to make them shout out
>> loud if I got something wrong ...)
>
> what package is this, which version will fix it?

This is debian-installer-netboot-images that is at SVN. Take a look on it.

I am waiting for FTP Masters to give an ack on this to me to upload i t.

-- 
Otavio Salvador                  O.S. Systems
E-mail: otavio@ossystems.com.br  http://www.ossystems.com.br
Mobile: +55 53 9981-7854         http://projetos.ossystems.com.br




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#570767; Package debian-edu. (Thu, 12 Aug 2010 09:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Thu, 12 Aug 2010 09:24:10 GMT) Full text and rfc822 format available.

Message #25 received at 570767@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Otavio Salvador <otavio@ossystems.com.br>, 570767@bugs.debian.org
Cc: "Andreas B. Mundt" <andi.mundt@web.de>
Subject: Re: Bug#570767: images should be available in squeeze
Date: Thu, 12 Aug 2010 11:23:24 +0200
[Message part 1 (text/plain, inline)]
Hi Otavio,

On Donnerstag, 12. August 2010, Otavio Salvador wrote:
> This is debian-installer-netboot-images that is at SVN. Take a look on it.
> I am waiting for FTP Masters to give an ack on this to me to upload i t.

Normally ftpmasters "ack" by letting it go through NEW :) - IOW, I dont really 
understand what you are waiting for - can you explain?

I'd really like to see this in squeeze, but this needs to happen really fast.


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#570767; Package debian-edu. (Wed, 15 Sep 2010 07:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Wed, 15 Sep 2010 07:51:07 GMT) Full text and rfc822 format available.

Message #30 received at 570767@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Otavio Salvador <otavio@ossystems.com.br>, 570767@bugs.debian.org
Cc: Holger Levsen <holger@layer-acht.org>, "Andreas B. Mundt" <andi.mundt@web.de>
Subject: Re: Bug#570767: images should be available in squeeze
Date: Wed, 15 Sep 2010 09:49:54 +0200
[Otavio Salvador]
> This is debian-installer-netboot-images that is at SVN. Take a look
> on it.

I found it at
<URL: http://svn.debian.org/wsvn/d-i/trunk/packages/debian-installer-netboot-images/ >.

Should this bug perhaps be reassigned somewhere else, perhaps to WNPP?

Should the mirror perhaps use the cdn.debian.net address to get the
binaries from a mirror close to the build machine?

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#570767; Package debian-edu. (Wed, 15 Sep 2010 12:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@ossystems.com.br>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. (Wed, 15 Sep 2010 12:06:03 GMT) Full text and rfc822 format available.

Message #35 received at 570767@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: Petter Reinholdtsen <pere@hungry.com>, 570767@bugs.debian.org
Cc: Holger Levsen <holger@layer-acht.org>, "Andreas B. Mundt" <andi.mundt@web.de>
Subject: Re: Bug#570767: images should be available in squeeze
Date: Wed, 15 Sep 2010 09:03:53 -0300
Hello,

On Wed, Sep 15, 2010 at 4:49 AM, Petter Reinholdtsen <pere@hungry.com> wrote:
> [Otavio Salvador]
>> This is debian-installer-netboot-images that is at SVN. Take a look
>> on it.
>
> I found it at
> <URL: http://svn.debian.org/wsvn/d-i/trunk/packages/debian-installer-netboot-images/ >.
>
> Should this bug perhaps be reassigned somewhere else, perhaps to WNPP?

I am going to upload it today (yestarday we had a heavy raining and
power outage here)

> Should the mirror perhaps use the cdn.debian.net address to get the
> binaries from a mirror close to the build machine?

No; we are using ftp.d.o since it will be build once only.

-- 
Otavio Salvador                  O.S. Systems
E-mail: otavio@ossystems.com.br  http://www.ossystems.com.br
Mobile: +55 53 9981-7854         http://projetos.ossystems.com.br




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 15 Sep 2010 20:06:07 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. (Thu, 16 Sep 2010 13:33:03 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Thu, 16 Sep 2010 13:33:03 GMT) Full text and rfc822 format available.

Message #42 received at 570767-close@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: 570767-close@bugs.debian.org
Subject: Bug#570767: fixed in debian-installer-netboot-images 20100912
Date: Thu, 16 Sep 2010 13:32:27 +0000
Source: debian-installer-netboot-images
Source-Version: 20100912

We believe that the bug you reported is fixed in the latest version of
debian-installer-netboot-images, which is due to be installed in the Debian FTP archive:

debian-installer-6.0-netboot-amd64_20100912_all.deb
  to main/d/debian-installer-netboot-images/debian-installer-6.0-netboot-amd64_20100912_all.deb
debian-installer-6.0-netboot-armel_20100912_all.deb
  to main/d/debian-installer-netboot-images/debian-installer-6.0-netboot-armel_20100912_all.deb
debian-installer-6.0-netboot-hppa_20100912_all.deb
  to main/d/debian-installer-netboot-images/debian-installer-6.0-netboot-hppa_20100912_all.deb
debian-installer-6.0-netboot-i386_20100912_all.deb
  to main/d/debian-installer-netboot-images/debian-installer-6.0-netboot-i386_20100912_all.deb
debian-installer-6.0-netboot-ia64_20100912_all.deb
  to main/d/debian-installer-netboot-images/debian-installer-6.0-netboot-ia64_20100912_all.deb
debian-installer-6.0-netboot-mips_20100912_all.deb
  to main/d/debian-installer-netboot-images/debian-installer-6.0-netboot-mips_20100912_all.deb
debian-installer-6.0-netboot-mipsel_20100912_all.deb
  to main/d/debian-installer-netboot-images/debian-installer-6.0-netboot-mipsel_20100912_all.deb
debian-installer-6.0-netboot-powerpc_20100912_all.deb
  to main/d/debian-installer-netboot-images/debian-installer-6.0-netboot-powerpc_20100912_all.deb
debian-installer-6.0-netboot-sparc_20100912_all.deb
  to main/d/debian-installer-netboot-images/debian-installer-6.0-netboot-sparc_20100912_all.deb
debian-installer-netboot-images_20100912.dsc
  to main/d/debian-installer-netboot-images/debian-installer-netboot-images_20100912.dsc
debian-installer-netboot-images_20100912.tar.gz
  to main/d/debian-installer-netboot-images/debian-installer-netboot-images_20100912.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 570767@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Otavio Salvador <otavio@debian.org> (supplier of updated debian-installer-netboot-images package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 07 Aug 2010 08:14:20 +0200
Source: debian-installer-netboot-images
Binary: debian-installer-6.0-netboot-amd64 debian-installer-6.0-netboot-armel debian-installer-6.0-netboot-hppa debian-installer-6.0-netboot-i386 debian-installer-6.0-netboot-ia64 debian-installer-6.0-netboot-mips debian-installer-6.0-netboot-mipsel debian-installer-6.0-netboot-powerpc debian-installer-6.0-netboot-sparc
Architecture: source all
Version: 20100912
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Otavio Salvador <otavio@debian.org>
Description: 
 debian-installer-6.0-netboot-amd64 - Debian-installer network boot images for amd64
 debian-installer-6.0-netboot-armel - Debian-installer network boot images for armel
 debian-installer-6.0-netboot-hppa - Debian-installer network boot images for hppa
 debian-installer-6.0-netboot-i386 - Debian-installer network boot images for i386
 debian-installer-6.0-netboot-ia64 - Debian-installer network boot images for ia64
 debian-installer-6.0-netboot-mips - Debian-installer network boot images for mips
 debian-installer-6.0-netboot-mipsel - Debian-installer network boot images for mipsel
 debian-installer-6.0-netboot-powerpc - Debian-installer network boot images for powerpc
 debian-installer-6.0-netboot-sparc - Debian-installer network boot images for sparc
Closes: 570767
Changes: 
 debian-installer-netboot-images (20100912) unstable; urgency=low
 .
   * Initial upload (Closes: #570767).
Checksums-Sha1: 
 551917ee4d21a3605dfe54bc58da02d29eba269b 1835 debian-installer-netboot-images_20100912.dsc
 cef77a4ca9bccb73b5b568327688a6029a31baac 3021 debian-installer-netboot-images_20100912.tar.gz
 3ce1d384edde7c82a1c7ce6a82c2c12d2684d92a 30328090 debian-installer-6.0-netboot-amd64_20100912_all.deb
 02d4c3a3ee21fb3bcc53b466b4c6e9456cb948ef 79203482 debian-installer-6.0-netboot-armel_20100912_all.deb
 95d63d640939eb98ca869639b525ed3f2a8fa7e5 8359472 debian-installer-6.0-netboot-hppa_20100912_all.deb
 517c769719756760e1e600a8cf12ad9e8ef1e5f6 28827514 debian-installer-6.0-netboot-i386_20100912_all.deb
 30e92892e61f6e55e08ddd1e806e2182f108ea1d 13007058 debian-installer-6.0-netboot-ia64_20100912_all.deb
 68d86c4fa9db0c4cca08ec4a5fa43a8a58b35080 23853688 debian-installer-6.0-netboot-mips_20100912_all.deb
 5260a144afed9eb7b084912060c31cd3ce7c6459 20636690 debian-installer-6.0-netboot-mipsel_20100912_all.deb
 dc37982a7bb90baa90669d73ae2f61d8445f5343 58745228 debian-installer-6.0-netboot-powerpc_20100912_all.deb
 40502a2a22e20e67acbebd77d1096369f4f97876 6006280 debian-installer-6.0-netboot-sparc_20100912_all.deb
Checksums-Sha256: 
 2dda987f644ec4f40dbb72c7b690c14ff7cabc372dd656067a88270e1c71207a 1835 debian-installer-netboot-images_20100912.dsc
 8dd578ed3d456ef3199a20e5a1e96c2e5bd6a484aa6083dc745b812c41519c64 3021 debian-installer-netboot-images_20100912.tar.gz
 db4f780a17ea8c85a009f43e128a389aab2db2000b849c8bc1c73632fc26d8d3 30328090 debian-installer-6.0-netboot-amd64_20100912_all.deb
 bad8b9408b9f9f17b4d6ca02efcc2359e938925fb5abe7c7f4ba6309c9cb6cca 79203482 debian-installer-6.0-netboot-armel_20100912_all.deb
 82829ea78e6090880a4e908035af2459c77e7a2661104cd0d87f363ec3f5dc80 8359472 debian-installer-6.0-netboot-hppa_20100912_all.deb
 c554c6cd760093c88f9fa667118ca1d6b992d7b0dcbb0d14404a7a1bacdc3f1a 28827514 debian-installer-6.0-netboot-i386_20100912_all.deb
 6f8458a3a40f1a811200ca1a24153b1bd133fc684a51c341bcae220f2538643a 13007058 debian-installer-6.0-netboot-ia64_20100912_all.deb
 1d6449338d060fde5b1d8e8bed69957e2506054fe8795bcd89884f8db9962984 23853688 debian-installer-6.0-netboot-mips_20100912_all.deb
 24bf78a40b815623fe9d34d32ebd1dd3551bb1fa036bd9204cfa8f5f85187ceb 20636690 debian-installer-6.0-netboot-mipsel_20100912_all.deb
 bd87417d14edf1e25c07bc48cb0ae0a34281427219fa26f15b22e40203088a51 58745228 debian-installer-6.0-netboot-powerpc_20100912_all.deb
 06e829ecc6bca403863f98484cadfa26715489ad3ce63f14c7201cd370575a21 6006280 debian-installer-6.0-netboot-sparc_20100912_all.deb
Files: 
 cd9df6b1069be280e9404c81e007c14f 1835 misc optional debian-installer-netboot-images_20100912.dsc
 8be413028bda4f9d2cb2ac7e2574fcfa 3021 misc optional debian-installer-netboot-images_20100912.tar.gz
 736982e033fcc4821916201a519b59ec 30328090 misc optional debian-installer-6.0-netboot-amd64_20100912_all.deb
 5e1a84e44137ec265671e74e3d4e08fc 79203482 misc optional debian-installer-6.0-netboot-armel_20100912_all.deb
 2d4fedae98f7335c229914ea1fd7ba40 8359472 misc optional debian-installer-6.0-netboot-hppa_20100912_all.deb
 5dfa397662b5ab23cd51c400e7823132 28827514 misc optional debian-installer-6.0-netboot-i386_20100912_all.deb
 077f9aeb446537764ecfc4fe06becf45 13007058 misc optional debian-installer-6.0-netboot-ia64_20100912_all.deb
 54bd57ced5b4ad125b2205e8dcf784ab 23853688 misc optional debian-installer-6.0-netboot-mips_20100912_all.deb
 44334f5498e1d4adf2e77e5b883ce016 20636690 misc optional debian-installer-6.0-netboot-mipsel_20100912_all.deb
 8803bbd2713b86c10595bed8ff32feb7 58745228 misc optional debian-installer-6.0-netboot-powerpc_20100912_all.deb
 a3a44c0a48b34a28676f72530935bdbc 6006280 misc optional debian-installer-6.0-netboot-sparc_20100912_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMkMmaAAoJEOtw/vPN/G5PfrgP/jmSANj1vYtu+L4Uctkky06+
fsjXD649OR7aBJhVqb/qcFXg197GPnYJa8h2ALO4kI/Ecz+r/TW0gM/lcSyI93bS
jquUyX2ekQ2pd+zJSTkQrijr/Rgzk/nQgRHSh3RbSpumZbRduTNd3bOidA87BjVK
tL4xil4+Gg9qqLqM9RKr1WriEPXzaxNqVPz0+IplixQOV+JlF0sizIQlpTwxo2Uq
FKtvJlFgG9o/0OkyZ/hpk7TGkeYLifSgYYOcgy+sM+orIPhIkCBSJTH/jPCfABKG
1vXj2Vh1wklEC+pW10zneJrkp1pLDtf3rB1vP+TA81o6/Sdzmgx7lgbJX9HnO1Yj
aoKbBbSVPT69fq9DnnG1mVEhPPnrxhJOSErT4pqPuHfptuwLmIGDTdlxmEIi41Ze
Es7q0gJG/ZEj0lfXCg1xcsfi3SiPYd9uxP9NoEoR0hl6sV55hOBl7lzlYjxyhIe9
Hc5Se3MAqG/ok5fKgK/D1Ir5vL1ZQztkyTt6a9J1dmCBU18C3ni7awR/j0B3whVg
lE3LiiLLAyRu73DwGTgVio8RWZjjVvZ6S8kK3GpvSgNXCJBXgJOVhbHgxx5PGH6p
KwPG11R73UOrYRSIffddKf8k26/PaRmXNmoE7axq/P5bqBGKHU5GV98jWADBxoeQ
EpthJGp3vK7C0TDm2ibl
=5x6t
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 20 Oct 2010 07:35:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:08:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.